# DMCompositeGather

Gathers into a global packed vector from its individual local vectors

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DMCompositeGather(DMComposite packer,Vec gvec,...)

Collective on DMComposite

### Input Parameter

| packer | - the packer object
| gvec | - the global vector
| ... | - the individual sequential objects (arrays or vectors)

### See Also

DMCompositeDestroy(), DMCompositeAddArray(), DMCompositeAddDA(), DMCompositeCreateGlobalVector(),
DMCompositeScatter(), DMCompositeCreate(), DMCompositeGetGlobalIndices(), DMCompositeGetAccess(), DMCompositeGetLocalVectors(), DMCompositeRestoreLocalVectors(), DMCompositeGetEntries()

Level:advanced
Location: src/dm/da/utils/pack.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex21.c.html